Inbox
Get transaction inbox details (v1)
Retrieve approval details for a specific transaction. Returns empty dict if not in inbox.
GET
/
public
/
v1
/
inbox
/
transactions
/
{record_id}
/
Get transaction inbox details
curl --request GET \
--url https://api.dualentry.com/public/v1/inbox/transactions/{record_id}/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v1/inbox/transactions/{record_id}/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v1/inbox/transactions/{record_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction_type": "<string>",
"number": "<string>",
"date": "2023-12-25",
"customer_vendor": "<string>",
"company": "<string>",
"company_id": 123,
"memo": "<string>",
"amount": "<string>",
"approval_status": "<string>",
"workflow_id": 123,
"record_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"approval_info": {
"workflow_name": "<string>",
"workflow_version": 123,
"step_name": "<string>",
"current_substep": 123,
"substeps": [
{
"order": 123,
"approvers": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>"
}
],
"approved_by": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>"
}
],
"rejected_by": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>"
}
]
}
]
},
"initiator_id": 123
}{
"errors": {},
"success": false
}{
"errors": {},
"success": false
}Authorizations
Path Parameters
Query Parameters
Response
OK
- PublicTransactionInboxSchemaOut
- Response
Schema for transaction-based records in the inbox (monetary entities).
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$Schema for complete approval workflow information.
Show child attributes
Show child attributes
Last modified on July 13, 2026
Was this page helpful?
⌘I
Get transaction inbox details
